#cobalt2
A Sublime Text theme based on our old blue friend cobalt.

A refined colour scheme that is easy on the eyes and takes small UI elements into account. Includes full sublime theme (sidebar, search, tabs, etc...) as well as support for SublimeLinter, git diffing and a growing number of plugins.

See below for examples. [Read more at http://wesbos.com/cobalt2-theme-sublime-text-2/](http://wesbos.com/cobalt2-theme-sublime-text-2/)

## Installation

### With Package Control

1. Open package control `tools` → `Command Palette` and type `Install Package`
2. Search for Cobalt2 and hit enter
3. Lastly, open `Preferences` → `Settings - User`. Add the following two lines:

	"color_scheme": "Packages/Theme - Cobalt2/cobalt2.tmTheme",
	"theme": "Cobalt2.sublime-theme",

### Without Package Control 

1. Open your Sublime Text packages directory `Preferences` → `Browse Packages`  
2. Download this repo, rename the folder to `Theme - Cobalt2`, and Drop in the `Theme - Cobalt2` directory here  (Right into /Preferences/). It is very important that the folder name is exactly `Theme - Cobalt2`. 
3. Lastly, open `Preferences` → `Settings - User`. Add the following two lines:

	"color_scheme": "Packages/Theme - Cobalt2/cobalt2.tmTheme",
	"theme": "Cobalt2.sublime-theme",

If these are the last two lines of your settings file, make sure to omit the trailing `,`

## Screenshots

![](http://wes.io/YIjn/content)

### Sidebar Icons

![](http://wes.io/YIjh/content)

### Dirty Tab and Selected Tab
![](http://wes.io/YIZx/content)

### Indentation Guides — Guide, Stacked Guide and Active Guide

Use `"indent_guide_options": ["draw_normal", "draw_active"]` for this 

### GitGutter Support

![](http://wes.io/YIu3/content)

### Autocomplete

![](http://wes.io/YItl/content)

### Command Palette 

![](http://wes.io/YIpV/content)

### GoTo Anything

![](http://wes.io/YIhm/content)

### Tabs, Spaces and Comments

![](http://wes.io/YIho/content)

### Folding Lines

![](http://wes.io/YImN/content)

### Searches
![](http://wes.io/YIj0/content)

### Highlighted Line

![](http://wes.io/YIpZ/content)

### JavaScript
![](http://wes.io/Lwc6/content)

### CSS
![](http://wes.io/YIqI/content)

### PHP
![](http://wes.io/YIa5/content)

### Ruby
![](http://wes.io/YIpO/content)

### Python
![](http://wes.io/YIuH/content)

### Markdown
![](http://wes.io/YItl/content)/content)

## Contributing
While cobalt2 covers all languages, I write mostly JavaScript and CSS so I welcome any additions for other languages.

### Thanks

Some icons from [Soda Theme by Ian Hill](https://github.com/buymeasoda/soda-theme/)

[Kyle Knight](https://twitter.com/idpro) for pushing cobalt2 past the code screen and styling the entire editor.

Seti UI Atom theme for the sidebar icons

## Official Colours

Yellow: #ffc600
Blue: #193549
Dusty Blue 35434d
Dark Blue: #15232D


### You may also like:

Cobalt2 Theme for iTerm <https://github.com/wesbos/Cobalt2-iterm>

[Sublime Text Power User Book](https://SublimeTextBook.com)
